Bug 2075701 (CVE-2022-27455)

Summary: CVE-2022-27455 mariadb: use-after-free when WHERE has subquery with an outer reference in HAVING
Product: [Other] Security Response Reporter: Sage McTaggart <amctagga>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: caswilli, damien.ciabrini, databases-maint, dciabrin, eglynn, gzaronik, hhorak, jjoyce, jorton, kaycoth, lhh, ljavorsk, mbayer, mburns, mkocka, mmuzila, mschorm, SpikeFedora, spower
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mariadb 10.7.4, mariadb 10.6.8, mariadb 10.5.16, mariadb 10.4.25 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the MariaDB Server. It contains a use-after-free in the component, my_wildcmp_8bit_impl at /strings/ctype-simple.c, affecting availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-09-01 04:25:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2089977, 2089980, 2090192, 2090831, 2090832, 2090834, 2090839, 2090845, 2096275, 2096280, 2101779    
Bug Blocks: 2075026    

Description Sage McTaggart 2022-04-14 22:05:17 UTC
MariaDB Server v10.6.3 and below was discovered to contain an use-after-free in the component my_wildcmp_8bit_impl at /strings/ctype-simple.c.

https://jira.mariadb.org/browse/MDEV-28097

Comment 1 Mauro Matteo Cascella 2022-05-24 18:52:22 UTC
Upstream commit:
https://github.com/MariaDB/server/commit/0beed9b5e933f0ff79b3bb346524f7a451d14e38

Comment 4 Mauro Matteo Cascella 2022-05-26 16:03:45 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090831]

Comment 5 Mauro Matteo Cascella 2022-05-26 16:09:20 UTC
Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090832]

Comment 6 Mauro Matteo Cascella 2022-05-26 16:28:44 UTC
Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090834]

Comment 7 Mauro Matteo Cascella 2022-05-26 16:38:36 UTC
Created mariadb:10.6/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090839]

Comment 8 Mauro Matteo Cascella 2022-05-26 16:57:17 UTC
Created mariadb:10.7/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090845]

Comment 9 errata-xmlrpc 2022-07-28 16:07:53 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:5759 https://access.redhat.com/errata/RHSA-2022:5759

Comment 10 errata-xmlrpc 2022-08-02 10:12:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5826 https://access.redhat.com/errata/RHSA-2022:5826

Comment 11 errata-xmlrpc 2022-08-09 12:27:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5948 https://access.redhat.com/errata/RHSA-2022:5948

Comment 12 Product Security DevOps Team 2022-09-01 04:25:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27455